Hidden topics should be noindexed
Closed, ResolvedPublic

Description

Topics that have been hidden should have noindex+nofollow on the topic page (e.g. https://www.mediawiki.org/wiki/Topic:U52meomvt4ex9rc0 ).

Catrope created this task.Jan 4 2018, 2:31 PM
Catrope triaged this task as Normal priority.
Catrope removed a project: Tracking.
Jules78120 added a subscriber: Jules78120.

This is a really important task, because for now we can't respect the right to be forgotten, and it's a big problem in some cases (I'm oversight and OTRS team member).

I disagree - if something should "be forgotten" (I am not aware of any such "right") you should delete the topic, not hide the topic.

Jules78120 added a comment.EditedJan 5 2018, 2:34 PM

Hi. Admins have no reason to delete a content which is not illegal: this would reduce the transparency that characterizes Wikipedia.

But when a content –not in the mainspace– is likely to cause harm to someone, we can use, on fr.wp, a blanchiment de courtoisie (see here). And we often use it. But we can't do that on Flow topics, and this is a problem.

As Wikipedians, we want to keep archives (for transparency), but we should be able to do so without causing harm to living people.

Furthermore: to index hidden Flow topics doesn't make any sense.

Framawiki added a comment.EditedJan 5 2018, 6:18 PM

I disagree - if something should "be forgotten" (I am not aware of any such "right") you should delete the topic, not hide the topic.

Hello, OTRS agent here. This procedure is supported by https://otrs-wiki.wikimedia.org/wiki/Response:Fr-Blanchiment_de_courtoisie, a page that has been in existence for more than ten years, used very regularly by agents, and which has its equals in other languages. The following page explain this procedure on frwiki: https://fr.wikipedia.org/wiki/WP:Blanchiment_de_courtoisie.
From what I can tell, the ticket in question fits right in. The principle of the courtesy blanking is to leave the content available in the history/archive by users but not to show it in search engines. Deleting user access does not meet this rule. AFAIK, this is what deletion of topics does, unlike the hide button.
I don't think this discussion should be on phabricator between developers. If this procedure poses a problem, it is up to the French community and/or OTRS administrators to judge.
As it stands, we cannot apply this frwiki rule because of a technical problem. That's pretty unfortunate : it is quite problematic that Flow prevents OTRS agents from respecting a community rule.
Similarly, forcing admins to suppress a discussion for a reason outside the legal obligation will certainly not enchant the foundation, and would be comparable to abuse of power by users.

Arthur_Crbz added a subscriber: Arthur_Crbz.
Scoopfinder added a subscriber: Scoopfinder.

Change 403416 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Implement robot-policy

https://gerrit.wikimedia.org/r/403416

SBisson closed this task as Invalid.Jan 10 2018, 3:18 PM

Rolled into parent task

SBisson reopened this task as Open.Jan 10 2018, 3:23 PM

rollback

Change 403416 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Implement robot-policy

https://gerrit.wikimedia.org/r/403416

Change 403416 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Implement robot-policy

https://gerrit.wikimedia.org/r/403416

Etonkovidova added a subscriber: Etonkovidova.EditedJan 17 2018, 11:12 PM

Checked in hewiki which has SD enabled (manually) and NS_USER => 'noindex,follow' - the hidden SD topic (https://he.wikipedia.org/wiki/%D7%A0%D7%95%D7%A9%D7%90:Tzu3r252m5c55zof) will have noindex

Checked in frwiki (wmf.17) - hidden topics will have "noindex,nofollow". Re-indexing them, however, may take some time.

Etonkovidova closed this task as Resolved.Jan 18 2018, 11:40 PM
Jules78120 added a comment.EditedJan 21 2018, 11:04 PM

Thanks @Etonkovidova and @SBisson. It's nice if hidden SD topics have noindex.

I dont know if this is the right ticket for this, but: on fr-wp, all user's talk pages have noindex (since an official decision of the community). This should be the same for all SD user talk pages topics (even if they are not hidden). Is it possible please?

Kind regards.

Thanks @Etonkovidova and @SBisson. It's nice if hidden SD topics have noindex.

I dont know if this is the right ticket for this, but: on fr-wp, all user's talk pages have noindex (since an official decision of the community). This should be the same for all SD user talk pages topics (even if they are not hidden). Is it possible please?

Kind regards.

It's another ticket, T122119: Flow does not follow $wgNamespaceRobotPolicies.

@Jules78120 Yes, @Framawiki is right: it was done in T122119: Flow does not follow $wgNamespaceRobotPolicies - "noindex,follow" is present mow on all User talk pages.

Thanks for the answer.